package Coleccion;

public class Tester {
	public static void main(String [] args){
		Coleccion<Integer> col = new ColeccionConArreglo<Integer>();
		//Coleccion<Integer> col = new ColeccionConVector<Integer>();
		
		System.out.println("Agrega los elementos 1-10 a la colección");
		for (int i=1; i<=10; i++)
			col.insertar(i);
		
		System.out.println("Coleccion inicial:");
		col.mostrar();

		System.out.println("¿Pertenece 5?: "+ col.pertenece(5));
		System.out.println("Elimina elemento 5");
		col.eliminar(5);
		System.out.println("¿Pertenece 5?: "+ col.pertenece(5));
		
		System.out.println("¿Pertenece 1?: "+ col.pertenece(1));
		System.out.println("¿Pertenece 10?: "+ col.pertenece(10));
	}
}
